iPhone Screenshots

Description

The HondaLink® Launcher App app is compatible with vehicles equipped with HondaLink-ready technology:

2014-15 Civic EX & above
2015-17 Fit LX & above
2015-16 CR-V SE & above
2016-17 HR-V
2016 CR-Z
(Canada only)

Be advised that HondaLink Launcher is not compatible with 2016-17 Pilots, 2016-17 Accords, 2016-17 Civics, 2017 Ridgelines and 2017 CR-Vs. Check the HondaLink website for updated vehicle and model availability.

The App is compatible with the iPhone 5/5S/5C with iOS 7.x/iOS 8.x/iOS 9.x/iOS 10.x, the iPhone 6/6+ with iOS 8.x/iOS 9.x/iOS 10.x, the iPhone 6S/6S+/SE with iOS 9.x/10.x, and iPhone 7/7+ with iOS 10.x. Not compatible with iPhone 4/4S or earlier.

The HondaLink® Launcher App enables a variety of Apple iPhone apps to be played through the Display Audio system of HondaLink equipped vehicles. The app also operates as a convenient link to download compatible apps onto your iPhone.

These apps include the HondaLink Navigation App, the HondaLink Aha App (entertainment), and the HondaLink App (vehicle information).

The apps can work either in standalone mode (for use when not driving) or when connected to Honda vehicles equipped with the HondaLink-ready technology.

NOTE: Use of HondaLink apps in the vehicle requires an HDMI cable connector, Apple lightning adapter, and Bluetooth® HandsFreeLink® connection. See honda.ca/hondalink/ng/getstarted for more information or to order the HondaLink iOS Cable Kit ($99).

Some services require use of GPS for location-based content. Continued use of GPS running in the background can dramatically decrease battery life.

What's New

Version 1.6

Bug fixes

Customer Reviews

👌

lachevre1

contrairement à ce que l'app store dit, l'application fonctionne tres bien avec honda accord 2016, ainsi que les app connexes

Was not ready for iOS 8

Dotcanada

They must have known that iOS 8 was coming out for months. Yet now i can't connect to my car because i upgrade to iOS 8 and it's not compatible. They fell asleep at the wheel. Honda customer relations told me it will take "a few weeks" for them to getting it working. Not good for business, Honda.

Not compatible with IOS 8???

T Parnitzke

I agree with the previous review...very disappointing that the app is not compatible with IOS 8. I just bought my 2014 Honda Civic Hybrid and can't use my iPhone 5 with iOS 8. I hope Honda will catch up very soon!!

Information

Seller
American Honda Motor Co., Inc.
Size
17.1 MB
Category
Utilities
Compatibility
Requires iOS 8.0 or later. Compatible with iPhone, iPad and iPod touch.
Languages
English, French, Japanese, Simplified Chinese, Spanish, Traditional Chinese
Age Rating
Rated 4+
Copyright
©2013 American Honda Motor Co., Inc.
Price
Free

Supports

  • Family Sharing

    Up to six family members will be able to use this app with Family Sharing enabled.

More By This Developer

You May Also Like